# Fn<> GappedValueType
Returns a value type that contains a black value `'-'`.

Defined in | <seqan/align.h>
Signature | `GappedValueType<T>::Type`

## Template Parameters

`T` | The value type that should be expanded (if needed) by '-'.

## Return Values

`Type` | A type that can store the values of `T` and the value `'-'`.

#### Dox Sources

    /*!
     * @mfn GappedValueType
     *
     * @headerfile <seqan/align.h>
     *
     * @brief Returns a value type that contains a black value <tt>'-'</tt>.
     *
     * @signature GappedValueType<T>::Type
     *
     * @tparam T The value type that should be expanded (if needed) by '-'.
     *
     * @return Type A type that can store the values of <tt>T</tt> and the value
     *              <tt>'-'</tt>.
     */